#include <Tracer.h>
#include <Dal.h>

#include "CcfConstituentFactory.h"
#include "CcfConstituent.h"
#include "RealCcfConstituent.h"
#include "VirtualCcfConstituent.h"
#include "DirEntry.h"

CcfConstituentFactory::CcfConstituentFactory() { PROC ENDPROC }

static CcfConstituentFactory * initCcfConstituentFactory()
{
  PROC
  static bool init = true;
  if(init){
    init = false;
    ALTRETURNV(new CcfConstituentFactory);
  } else {
    ALTRETURNV(ccfConstituentFactory);
  }
  ENDPROC
}

CcfConstituentFactory * ccfConstituentFactory = initCcfConstituentFactory();

CcfConstituent * CcfConstituentFactory::ccfConstituent(const string name) const
{
  PROC
  RETURN(new RealCcfConstituent(name));
}

CcfConstituent * CcfConstituentFactory::ccfConstituent(const Table * table, unsigned long row ) const
{
  PROC
  RETURN(new VirtualCcfConstituent(table, row));
}

