//
// XMM Science Analysis System
//
// Giuseppe Vacanti (European Space Agency) 
// April 05, 2000
//
#include "cifinsert.h"
#include <Tracer.h>
#include <string>
#include "CalIndexSet.h"
#include "CcfConstituent.h"
#include "CcfConstituentFactory.h"
#include <param.h>
#include <errstr.h>

void cifinsert() {
  PROC
  string s = stringParameter("calindexset");
  CalIndexSet cset = CalIndexSet(s);
  CalIndex cif = cset.calibrationIndex(s);
  cset.close(); // must close it, or it cannot be overwritten  
  for(int i = 0; i < parameterCount("sets"); i++)
    cif.addConstituent(ccfConstituentFactory->ccfConstituent(stringParameter("sets", i)));
  cif.save();
  ENDPROC
}
