//
// Given a list of CCF constituents, print them out in the sorted order.
//
// Giuseppe Vacanti, XMM Science Operations Team, November 1999
//
#include <param.h>
#include <Tracer.h>
#include <list>
#include "CcfConstituentFactory.h"
#include "sortccf.h"

void sortccf() {
  PROC
  list<CcfConstituent *> lccf;
  for(int i=0; i<parameterCount("sets"); i++){
    CcfConstituent * c = ccfConstituentFactory->ccfConstituent(stringParameter("sets",i));
    if(c->isValid())
      lccf.push_back(c);
  }
  lccf.sort(CcfConstituent::compare);
  for(list<CcfConstituent *>::const_iterator i=lccf.begin(); i!=lccf.end(); i++)
    cout << (*i)->basename() << endl;
  ENDPROC
}
      
